package com.zaojiao.app.data.repo

import com.zaojiao.app.data.model.BabyModel
import kotlinx.coroutines.flow.Flow

interface BabyRepository {
    val current: Flow<BabyModel?>

    val babyList: Flow<List<BabyModel>>

    suspend fun getBaby()

    suspend fun deleteBaby()

    suspend fun deleteAllBaby()
}